import { useEditor } from "@/modules/editor";
import { onMounted, ref } from "vue";

export function useCompRef(compId: string) {
  const compRef = ref();
  const { helper } = useEditor();
  onMounted(() => {
    const comp = helper.findComp(compId);
    if (comp) {
      Object.defineProperty(comp, "$el", {
        value: compRef.value,
        configurable: true,
      });
    }
  });
  return compRef;
}
